Subject: Re: linux-next: build warnings after merge of the gpio tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Dec 2017 09:48:53 +1100

Hi Rob,

On Wed, 15 Nov 2017 17:12:00 -0600 Rob Herring <[email-masked]> wrote:
>
> On Wed, Nov 15, 2017 at 4:42 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi all,
> >
> > On Thu, 9 Nov 2017 08:37:00 -0600 Rob Herring <[email-masked]> wrote:  
> >>
> >> On Thu, Nov 9, 2017 at 1:42 AM, Linus Walleij <[email-masked]> wrote:  
> >> > On Thu, Nov 9, 2017 at 4:51 AM, Stephen Rothwell <[email-masked]> wrote:  
> >> >> On Fri, 3 Nov 2017 16:37:24 +1100 Stephen Rothwell <[email-masked]> wrote:  
> >> >>>
> >> >>> After merging the gpio tree, yesterday's linux-next build (arm
> >> >>> multi_v7_defconfig) produced these warnings:
> >> >>>
> >> >>> arch/arm/boot/dts/bcm2835-rpi-b.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-b-rev2.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-a.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-b-plus.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-a-plus.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2836-rpi-2-b.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2837-rpi-3-b.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-zero.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/bcm2835-rpi-zero-w.dtb: Warning (phys_property): Missing property '#phy-cells' in node /phy or bad phandle (referred from /soc/usb@7e980000:phys[0])
> >> >>> arch/arm/boot/dts/exynos5410-odroidxu.dtb: Warning (interrupts_property): Missing interrupt-controller or interrupt-map property in /soc/system-controller@10040000
> >> >>>
> >> >>> and many, many more.
> >> >>>
> >> >>> I have no idea what caused this.  
> >> >>
> >> >> I am still getting lots of these ...  
> >> >
> >> > I have absolutely no clue either.
> >> >
> >> > What I know is that there is a device tree compiler warning that can
> >> > be turned on, and
> >> > it generates these warnings a lot. The actual problems have been in
> >> > the DTS files
> >> > forever. They just recently started to look into them.
> >> >
> >> > It has nothing to do with the GPIO tree whatsoever, so I wonder if it
> >> > is a side effect of
> >> > something else?  
> >
> > Probably just the first tree to cause a rebuild of the dtb files after
> > the change below.
> >  
> >> There's a dtc update in -next which adds these new checks. It's been
> >> there for over a month now. Unlike other dtc checks, these are
> >> generally actual errors, so they are not off by default (enabled with
> >> W=1,2).
> >>
> >> In reality, there's only about 50-100 warnings. The way dts includes
> >> are structured and because the dtc checks don't have the original
> >> source file lines, it just multiplies the warnings.  
> >
> > So these (many) warnings are now in Linus' tree :-(
> >
> > Please do something about them.  
> 
> Patches are in flight. I got all the low hanging fruit that are the
> most duplicated[1]. There's other patches in flight too.
> 
> Rob
> 
> [1] https://www.spinics.net/lists/arm-kernel/msg616518.html

How are these going?  I am still getting over 500 lines of output in my
arm multi_v7_defconfig builds of Linus' tree :-(

-- 
Cheers,
Stephen Rothwell